Bug 1275969 - AVC Denial, systemd-logind
AVC Denial, systemd-logind
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 04:53 EDT by a.galley
Modified: 2015-12-17 08:49 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-157.fc23.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 08:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description a.galley 2015-10-28 04:53:21 EDT
Description of problem:

Open 'SELinux Troubleshoot' after login:

\/

SELinux is preventing systemd-logind from read access on the file OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-00e098032b8c.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-logind should be allowed read access on the OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-00e098032b8c file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:efivarfs_t:s0
Target Objects                OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-
                              00e098032b8c [ file ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Unknown>
Host                          localhost
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-144.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost
Platform                      Linux localhost 4.2.0-300.fc23.x86_64 #1 SMP Fri
                              Sep 4 13:27:08 UTC 2015 x86_64 x86_64
Alert Count                   9
First Seen                    2015-10-27 06:18:28 GMT
Last Seen                     2015-10-27 06:19:07 GMT
Local ID                      f224a3ef-a731-440f-99ad-acdb2f614492

Raw Audit Messages
type=AVC msg=audit(1445926747.346:529): avc:  denied  { read } for  pid=1123 comm="systemd-logind" name="OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-00e098032b8c" dev="efivarfs" ino=9461 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:efivarfs_t:s0 tclass=file permissive=0


Hash: systemd-logind,systemd_logind_t,efivarfs_t,file,read

\/

Version-Release number of selected component (if applicable):
LABEL=Fedora-Live-Dsgn-x86_64-23_B-1

Steps to Reproduce:
1. Boot;
2. Login;
3. Open 'SELinux Troubleshoot'.

Additional info:
New SDHC install, no additional programs, groups or updates.
Comment 1 Lukas Vrabec 2015-12-17 08:49:02 EST
lvrabec:~
$ sesearch -A -s systemd_logind_t -t efivarfs_t 
Found 2 semantic av rules:
   allow systemd_logind_t efivarfs_t : dir { getattr search open } ; 
   allow systemd_logind_t efivarfs_t : file { ioctl read getattr lock open } ; 

lvrabec:~
$ rpm -q selinux-policy
selinux-policy-3.13.1-157.fc23.noarch

lvrabec:~
$ audit2allow -i avc 


#============= systemd_logind_t ==============

#!!!! This avc is allowed in the current policy
allow systemd_logind_t efivarfs_t:file read;

Note You need to log in before you can comment on or make changes to this bug.